import type { ConfigExport } from '../types/config-export';
export declare function loadTsConfig(configFile: string): Promise<ConfigExport>;
export declare function isFilePathESM(filePath: string): boolean;
export declare function findNearestPackageData(basedir: string): any | null;
export declare function loadConfig(configPath: string): Promise<ConfigExport>;
